This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 658158 - sssd stops on upgrade
sssd stops on upgrade
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Stephen Gallagher
Chandrasekar Kannan
: Reopened, ZStream
Depends On: 606887
Blocks: 629949 638241 658374
  Show dependency treegraph
 
Reported: 2010-11-29 09:37 EST by Stephen Gallagher
Modified: 2015-01-04 18:44 EST (History)
12 users (show)

See Also:
Fixed In Version: sssd-1.2.1-28.el6_0.3
Doc Type: Bug Fix
Doc Text:
During an upgrade of the sssd package, the package manager restarts the sssd service to ensure the running instance is properly replaced with the newer version. However, prior to this update, a race condition could occur upon the service shutdown, causing the parent process not to wait for its children to terminate. When this happened, these running sub-processes may have prevented sssd from starting again. With this update, the sssd service has been corrected to wait for the children processes to terminate, so that it can be restarted as expected.
Story Points: ---
Clone Of: 606887
Environment:
Last Closed: 2011-05-19 07:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2010-11-29 09:37:13 EST
+++ This bug was initially created as a clone of Bug #606887 +++

Description of problem:

When sssd is upgraded, it gets shut down but is not restarted.  My upgrades are done via yum-cron.

sssd.log just shows:

(Mon Jun 21 10:40:54 2010) [sssd] [monitor_quit] (0): Terminated: killing children

Version-Release number of selected component (if applicable):
sssd-1.2.1-15.fc13.i686

--- Additional comment from updates@fedoraproject.org on 2010-08-03 08:46:00 EDT ---

sssd-1.2.2-19.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sssd-1.2.2-19.fc13

--- Additional comment from updates@fedoraproject.org on 2010-08-03 10:45:04 EDT ---

sssd-1.2.2-19.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sssd-1.2.2-19.fc12

--- Additional comment from updates@fedoraproject.org on 2010-08-05 19:42:05 EDT ---

sssd-1.2.2-19.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sssd-1.2.2-19.fc12

--- Additional comment from updates@fedoraproject.org on 2010-08-05 19:54:20 EDT ---

sssd-1.2.2-19.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from updates@fedoraproject.org on 2010-08-13 17:26:02 EDT ---

sssd-1.2.2-19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from orion@cora.nwra.com on 2010-10-01 17:34:19 EDT ---

Just happened again with sssd-1.3.0-32.fc13.i686

--- Additional comment from sgallagh@redhat.com on 2010-10-04 09:22:59 EDT ---

Sorry, I forgot to port forward the fix for this to F13 and F14.

Correcting it now. Please be aware that the upgrade to the fixed version may still abort because the problem was with the %post section of the specfile. This means that the old package will still execute its version of this code, not the fixed RPM.

However, future updates should not have the same problem.

--- Additional comment from updates@fedoraproject.org on 2010-10-04 10:01:54 EDT ---

sssd-1.3.0-35.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/sssd-1.3.0-35.fc13

--- Additional comment from updates@fedoraproject.org on 2010-10-04 10:03:58 EDT ---

sssd-1.3.0-35.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sssd-1.3.0-35.fc14

--- Additional comment from updates@fedoraproject.org on 2010-10-04 14:04:03 EDT ---

sssd-1.3.0-35.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sssd-1.3.0-35.fc14

--- Additional comment from updates@fedoraproject.org on 2010-10-08 16:30:05 EDT ---

sssd-1.3.0-35.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from gasi@mathematik.uni-marburg.de on 2010-10-12 07:41:19 EDT ---

Today sssd-1.3.0-35.fc13.x86_64 has been installed here on serveral hosts
AND did not start again afterwards:

# grep sssd /var/log/daemonlog
Oct 12 03:56:12 calabar yum[15852]: Updated: sssd-client-1.3.0-35.fc13.x86_64
Oct 12 03:56:14 calabar yum[15852]: Updated: sssd-1.3.0-35.fc13.x86_64
Oct 12 03:56:15 calabar sssd[be[LDAP]]: Shutting down
Oct 12 03:56:15 calabar sssd[nss]: Shutting down
Oct 12 03:56:15 calabar sssd[pam]: Shutting down
Oct 12 03:56:22 calabar yum[15852]: Updated: sssd-client-1.3.0-35.fc13.i686

--- Additional comment from sgallagh@redhat.com on 2010-10-12 07:47:41 EDT ---

Please read the updated notes. The problem is in the %post section of the previous version. This means it gets run at upgrade or removal, regardless of whether the new version corrects the problem.

The changes I made in sssd-1.3.0-35.fc13 were meant to prevent this problem from happening in future updates. There's nothing I can do about versions earlier than the current one, unfortunately.

--- Additional comment from gasi@mathematik.uni-marburg.de on 2010-10-12 08:34:03 EDT ---

Sorry - I read your comment #7 too late.

# rpm -Uvh --force .../sssd-1.3.0-35.fc13.x86_64.rpm

actually works and sssd is still/again running. Seems to be ok now.

--- Additional comment from updates@fedoraproject.org on 2010-10-12 08:47:57 EDT ---

sssd-1.3.0-35.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from orion@cora.nwra.com on 2010-10-20 10:54:46 EDT ---

Updating from sssd-1.3.0-35.fc14 to sssd-1.4.0-2.fc14 resulted in sssd not running after update, which was supposed to be fixed in 1.3.0-35.fc14.

--- Additional comment from orion@cora.nwra.com on 2010-11-03 11:21:44 EDT ---

Again with 1.4.0-2.fc15 -> 1.4.1-1.fc15.

--- Additional comment from gasi@mathematik.uni-marburg.de on 2010-11-11 08:01:17 EST ---

sssd-1.3.0-36.fc13.x86_64 did not come up automatically after being
installed on 8 out of 17 machines - the others 9 ones are ok:

It is getting better - but I am not content, but maybe it is another fault:

# grep sssd /var/log/daemonlog
Nov 11 12:29:49 batna yum[23146]: Updated: sssd-client-1.3.0-36.fc13.x86_64
Nov 11 12:29:51 batna yum[23146]: Updated: sssd-1.3.0-36.fc13.x86_64
Nov 11 12:29:51 batna sssd[nss]: Shutting down
Nov 11 12:29:51 batna sssd[pam]: Shutting down
Nov 11 12:29:51 batna abrt[23222]: file /usr/libexec/sssd/sssd_nss seems to be deleted
Nov 11 12:29:51 batna sssd[be[LDAP]]: Shutting down
Nov 11 12:29:52 batna abrt[23222]: saved core dump of pid 17816 (/usr/libexec/sssd/sssd_nss) to /var/spool/abrt/ccpp-1289474991-17816.new/coredump (1748992 bytes)
Nov 11 12:30:19 batna yum[23146]: Updated: sssd-client-1.3.0-36.fc13.i686
#
# and manually:
#
Nov 11 13:56:43 batna sssd: Starting up
Nov 11 13:56:43 batna sssd[be[LDAP]]: Starting up
Nov 11 13:56:43 batna sssd[nss]: Starting up
Nov 11 13:56:43 batna sssd[pam]: Starting up

--- Additional comment from sgallagh@redhat.com on 2010-11-11 08:05:43 EST ---

(In reply to comment #18)
> sssd-1.3.0-36.fc13.x86_64 did not come up automatically after being
> installed on 8 out of 17 machines - the others 9 ones are ok:
> 


This is caused by https://fedorahosted.org/sssd/ticket/555, I think.

I am working on a patch for this problem as we speak. Hopefully I will have a fix for this particular issue in the next day or so.

--- Additional comment from gasi@mathematik.uni-marburg.de on 2010-11-17 07:18:51 EST ---

and with Fedora 14 too (at least with one host out of 6):

Nov 17 11:04:24 bana yum[29172]: Updated: sssd-client-1.4.1-1.fc14.x86_64
Nov 17 11:04:26 bana yum[29172]: Updated: sssd-1.4.1-1.fc14.x86_64
Nov 17 11:04:26 bana sssd[pam]: Shutting down
Nov 17 11:04:26 bana sssd[nss]: Shutting down
Nov 17 11:04:26 bana sssd[be[LDAP]]: Shutting down
Nov 17 11:04:43 bana yum[29172]: Updated: sssd-client-1.4.1-1.fc14.i686
#
# and manually:
#
Nov 17 13:10:44 bana sssd: Starting up
Nov 17 13:10:44 bana sssd[be[LDAP]]: Starting up
Nov 17 13:10:44 bana sssd[nss]: Starting up
Nov 17 13:10:44 bana sssd[pam]: Starting up

--- Additional comment from updates@fedoraproject.org on 2010-11-18 09:08:46 EST ---

sssd-1.4.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sssd-1.4.1-3.fc14

--- Additional comment from updates@fedoraproject.org on 2010-11-18 09:16:49 EST ---

sssd-1.3.0-38.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/sssd-1.3.0-38.fc13

--- Additional comment from updates@fedoraproject.org on 2010-11-18 19:01:07 EST ---

sssd-1.4.1-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sssd-1.4.1-3.fc14
Comment 2 Gowrishankar Rajaiyan 2010-12-06 04:33:48 EST
Script used to test:
#/bin/bash

i=0
while [ $i -lt 300 ] ; do
       service sssd condrestart
       let i=$i+1
done

service sssd status
if [ $? -ne 0 ] ; then
       echo "FAILED: sssd is not running after $i restarts"
else
       echo "PASSED: sssd is running after $i restarts"
fi
exit 0
#EOF


<snip>
Stopping sssd: [  OK  ]
[  OK  ] sssd: [  OK  ]
Stopping sssd: [  OK  ]
[  OK  ] sssd: [  OK  ]
sssd (pid 12422) is running...
PASSED: sssd is running after 300 restarts
</snip>

Version: sssd-1.2.1-28.el6_0.3.x86_64
Comment 3 Jaromir Hradilek 2010-12-10 05:55:45 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
During an upgrade of the sssd package, the package manager restarts the sssd service to ensure the running instance is properly replaced with the newer version. However, prior to this update, a race condition could occur upon the service shutdown, causing the parent process not to wait for its children to terminate. When this happened, these running sub-processes may have prevented sssd from starting again. With this update, the sssd service has been corrected to wait for the children processes to terminate, so that it can be restarted as expected.
Comment 4 errata-xmlrpc 2011-05-19 07:40:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html
Comment 5 errata-xmlrpc 2011-05-19 09:08:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html

Note You need to log in before you can comment on or make changes to this bug.